MEMSTAT(1)

NAME
memstat - system memory statistics

SYNOPSIS
memstat [-abegkmprt] [statistic ...]

DESCRIPTION
memstat writes the requested system memory statistics, or the total system memory and used system memory by default. Each statistic is written as a line with three columns aligned with spaces, where the first column is the human readable value, the second column is the name of the statistic, and the third column is how many percent the value is out of total system memory.

The options are as follows:

-a  Write all statistics.

-b  Format values as bytes.

-e  Format values as exabytes (1024^6 bytes).

-g  Format values as gigabytes (1024^3 bytes).

-k  Format values as kilobytes (1024 bytes).

-m  Format values as megabytes (1024^2 bytes).

-p  Format values as petabytes (1024^5 bytes).

-r  Write statistics in the raw machine readable format consisting of the value in the requested unit (bytes by default) with no unit suffix followed by a space and then the statistic name.

-t  Format values as terabytes (1024^4 bytes).

The statistics are as follows:

total
    amount of total memory.
used
    amount of memory currently used for any purpose.
userspace
    amount of memory purposed for normal user-space pages.
kernel
    amount of memory purposed for normal kernel-space pages.
filesystem
    amount of memory purposed for kernel filesystem buffers.
network
    amount of memory purposed for kernel network buffers.
paging
    amount of memory purposed for paging overhead.
driver
    amount of memory purposed for kernel driver buffers.
physical
    amount of memory purposed for keep track of unused physical memory.
execve
    amount of memory purposed for the execve(2) system call.

memstat measures an instantaneous consistent snapshot of all the system memory statistics using memusage(2). Each page of memory is used for exactly one purpose and the purpose statistics add up to the used statistic.

EXIT STATUS
memstat will exit 0 on success and non-zero otherwise.

SEE ALSO
ps(1), pstree(1), memusage(2)

HISTORY
memstat originally appeared in Sortix 0.5. The output was changed to the current table format in Sortix 1.1.